Subject: [nfsv4] ACL checking for Read/Write/Setattr of size

From: Rick Macklem <[email-masked]>
Date: Wed, 4 Mar 2009 15:05:24 -0500 (EST)

Somewhat tangential to the setuid thread is the following question.
Should NFSv4 servers allow the owner of a file to 
Read/Write/Setattr-of-size regardless of the file's ACL?
(It is common practice to ignore the mode bits for the owner so that
  a chmod performed on a file while it is open does not make I/O Ops
  fail, but I was wondering if other implementors extend that to not
  checking the ACL as well, for the setfacl case?)

For my BSD server, I either ignore both mode bits and ACL or check both,
based upon an export flag, but I was curious what other server
implementors think.

rick